# IGListBindingSingleSectionController Class Reference

# IGListBindingSingleSectionController

Objective-C

    @interface IGListBindingSingleSectionController<
        __covariant ViewModel : id <IGListDiffable>, Cell : UICollectionViewCell *>
        : IGListSectionController

Swift

    class ListBindingSingleSectionController<ViewModel, Cell> : ListSectionController where ViewModel : ListDiffable, Cell : UICollectionViewCell

Special section controller that only contains a single item, and it will apply the view model update during -didUpdateObject: call, usually happened inside -[UICollectionView performBatchUpdates:completion:].

This class is intended to be subclassed.

### Subclass

- `-cellClass`

  Undocumented

  #### Declaration

  Objective-C

      - (Class)cellClass;

  Swift

      func cellClass() -> AnyClass

- `-configureCell:withViewModel:`

  Undocumented

  #### Declaration

  Objective-C

      - (void)configureCell:(Cell)cell withViewModel:(ViewModel)viewModel;

  Swift

      func configureCell(_ cell: Cell, withViewModel viewModel: ViewModel)

- `-sizeForViewModel:`

  Undocumented

  #### Declaration

  Objective-C

      - (CGSize)sizeForViewModel:(ViewModel)viewModel;

  Swift

      func size(forViewModel viewModel: ViewModel) -> CGSize

- `-didSelectItemWithCell:`

  Undocumented

  #### Declaration

  Objective-C

      - (void)didSelectItemWithCell:(Cell)cell;

  Swift

      func didSelectItem(with cell: Cell)

- `-didDeselectItemWithCell:`

  Undocumented

  #### Declaration

  Objective-C

      - (void)didDeselectItemWithCell:(Cell)cell;

  Swift

      func didDeselectItem(with cell: Cell)

- `-didHighlightItemWithCell:`

  Undocumented

  #### Declaration

  Objective-C

      - (void)didHighlightItemWithCell:(Cell)cell;

  Swift

      func didHighlightItem(with cell: Cell)

- `-didUnhighlightItemWithCell:`

  Undocumented

  #### Declaration

  Objective-C

      - (void)didUnhighlightItemWithCell:(Cell)cell;

  Swift

      func didUnhighlightItem(with cell: Cell)

- `-isDisplayingCell`

  Undocumented

  #### Declaration

  Objective-C

      - (BOOL)isDisplayingCell;

  Swift

      func isDisplayingCell() -> Bool

© 2024 Instagram. All rights reserved. (Last updated: 2024-05-13)

Generated by jazzy ♪♫ v0.15.0, a Realm project.